Skip to main content
GET
/
v1
/
log-streams
/
{log_stream_id}
/
logs
read a log stream's logs
curl --request GET \
  --url https://api.nuon.co/v1/log-streams/{log_stream_id}/logs \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.nuon.co/v1/log-streams/{log_stream_id}/logs"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.nuon.co/v1/log-streams/{log_stream_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "body": "<string>",
    "created_at": "<string>",
    "created_by_id": "<string>",
    "id": "<string>",
    "log_attributes": {},
    "log_stream_id": "<string>",
    "org_id": "<string>",
    "resource_attributes": {},
    "resource_schema_url": "<string>",
    "runner_group_id": "<string>",
    "runner_id": "<string>",
    "runner_job_execution_id": "<string>",
    "runner_job_execution_step": "<string>",
    "runner_job_id": "<string>",
    "scope_attributes": {},
    "scope_name": "<string>",
    "scope_schema_url": "<string>",
    "scope_version": "<string>",
    "service_name": "<string>",
    "severity_number": 123,
    "severity_text": "<string>",
    "span_id": "<string>",
    "timestamp": "<string>",
    "timestamp_date": "<string>",
    "timestamp_time": "<string>",
    "trace_flags": 123,
    "trace_id": "<string>",
    "updated_at": "<string>"
  }
]
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and token.

Headers

X-Nuon-API-Offset
string

log stream offset

Path Parameters

log_stream_id
string
required

log stream ID

Query Parameters

order
string
default:asc

sort direction

service_name
string[]

filter by service_name (repeatable)

scope_name
string[]

filter by scope_name (repeatable)

severity_text
string[]

filter by severity_text (repeatable)

tool
string

filter by log_attributes['nuon.tool']

helm_release_name
string

filter by log_attributes['helm.release_name']

helm_operation
string

filter by log_attributes['helm.operation']

tf_workspace_id
string

filter by log_attributes['tf.workspace_id']

tf_operation
string

filter by log_attributes['tf.operation']

k8s_kind
string

filter by log_attributes['k8s.kind']

k8s_namespace
string

filter by log_attributes['k8s.namespace']

k8s_name
string

filter by log_attributes['k8s.name']

trace_id
string

filter by exact trace_id (dedicated CH column)

span_id
string

filter by exact span_id (dedicated CH column)

q
string

case-insensitive substring filter on log body

Response

OK

body
string
created_at
string
created_by_id
string
id
string
log_attributes
object
log_stream_id
string
org_id
string

internal attributes

resource_attributes
object
resource_schema_url
string
runner_group_id
string
runner_id
string
runner_job_execution_id
string
runner_job_execution_step
string
runner_job_id
string
scope_attributes
object
scope_name
string
scope_schema_url
string
scope_version
string
service_name
string
severity_number
integer
severity_text
string
span_id
string
timestamp
string

OTEL log message attributes

timestamp_date
string
timestamp_time
string
trace_flags
integer
trace_id
string
updated_at
string